Bug 14840 - Add new cronjob to send membership expiry reminder notices in crontab.example file
Summary: Add new cronjob to send membership expiry reminder notices in crontab.example...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amit Gupta
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 6810
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 07:18 UTC by Amit Gupta
Modified: 2016-06-21 21:40 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14840 Added new cron script send membership expiry reminder notices in crontab.example file (988 bytes, patch)
2015-09-17 07:25 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 14840 Added new cron script send membership expiry reminder notices in crontab.example file (1.06 KB, patch)
2015-09-17 12:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 14840 Added new cron script send membership expiry reminder notices in crontab.example file (2.03 KB, patch)
2015-09-18 11:38 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2015-09-17 07:18:23 UTC
Added new cron script "send membership expiry reminder notices" in crontab.example file.
Comment 1 Amit Gupta 2015-09-17 07:25:26 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2015-09-17 12:15:26 UTC
Robin: This cronjob is actually optional.
Should we add it on a commented line to debian/koha-common.cron.daily ?
Comment 3 Marcel de Rooy 2015-09-17 12:18:57 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2015-09-17 12:24:23 UTC
Taking the liberty to move this to the next level right away.
Only documentation.
Passed QA
Comment 5 Robin Sheat 2015-09-17 22:57:09 UTC
(In reply to Marcel de Rooy from comment #2)
> Robin: This cronjob is actually optional.
> Should we add it on a commented line to debian/koha-common.cron.daily ?

So, in general I'm not a big fan of having people configure things by editing crontab files. In particular, it's hard for shared hosting. The ideal would be that the cronjob always runs and there's something (a syspref or whatever) that determines if it's enabled for a particular instance.

However, doing that is clearly out of scope for a simple patch like this, so yeah, a commented out entry in debian/koha-common.cron.daily would be fine.
Comment 6 Marcel de Rooy 2015-09-18 06:12:48 UTC
(In reply to Robin Sheat from comment #5)
> (In reply to Marcel de Rooy from comment #2)
> > Robin: This cronjob is actually optional.
> > Should we add it on a commented line to debian/koha-common.cron.daily ?
> 
> So, in general I'm not a big fan of having people configure things by
> editing crontab files. In particular, it's hard for shared hosting. The
> ideal would be that the cronjob always runs and there's something (a syspref
> or whatever) that determines if it's enabled for a particular instance.
> 
> However, doing that is clearly out of scope for a simple patch like this, so
> yeah, a commented out entry in debian/koha-common.cron.daily would be fine.

Thanks, Robin.

Amit: If your pref would default to zero and this would mean "do nothing" and a nonzero value would trigger the process, we could just always run the script. What do you think ?
Comment 7 Marcel de Rooy 2015-09-18 11:38:39 UTC
Created attachment 42701 [details] [review]
Bug 14840 Added new cron script send membership expiry reminder notices in crontab.example file

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Amended: Added koha-common.cron.daily.
Note that the cronjob only does something when the pref is set now.
See corresponding change on bug 6810.
Comment 8 Tomás Cohen Arazi 2015-10-06 16:20:21 UTC
Patch pushed to master.

Thanks Amit!